// @ts-ignore
/* eslint-disable */
import { request } from '@wisdom-utils/utils';

/** 数据库测试连接 GET /DBManager/ConnectionTest */
export async function ConnectionTest(params, options) {
  return request('/DBManager/ConnectionTest', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 删除数据库连接 GET /DBManager/DeleteConnection */
export async function DeleteConnection(params, options) {
  return request('/DBManager/DeleteConnection', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 修改数据库连接描述信息 GET /DBManager/UpdateConnDesc */
export async function UpdateConnDesc(params, options) {
  return request('/DBManager/UpdateConnDesc', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 保存数据库连接 GET /DBManager/SaveConnection */
export async function SaveConnection(params, options) {
  return request('/DBManager/SaveConnection', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取数据库连接记录 GET /DBManager/GetConnRecord */
export async function GetConnRecord(options) {
  return request('/DBManager/GetConnRecord', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取数据库配置 GET /DBManager/GetDataBaseConfig */
export async function GetDataBaseConfig(options) {
  return request('/DBManager/GetDataBaseConfig', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取数据库列表 GET /DBManager/GetDataBaseList */
export async function GetDataBaseList(params, options) {
  return request('/DBManager/GetDataBaseList', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}
